<h1 align="center">
	<img width="1500" src="/assets/ideas_contest.png" alt="MindsDB">
	<br>
</h1>

# Democratize Machine Learning on ... Contest 🎆 🎉

MindsDB is an open-source project on a quest to democratize machine learning and take it closer to your data, and we want you to join in. 

The Democratize Machine learning on ... CONTEST.  is a competition for data professionals, developers, machine learning experts, technical managers, students, business analysts, decision makers ... etc.

Contribute to our project with this open brainstorming session where you tell us where you would connect MindsDB to generate predictions. (We currently do it on most of SQL databases out there) 

## Ideas Challenge 💡

Propose an idea of integrations that MindsDB should support. These could be database platforms, ml frameworks, APIs integrations or we will leave it out to your imagination.

#### Rewards 🏅

The `TOP-3` authors who submit ideas before `June 17th, 2022` will get SWAG and cool prizes:

| Place | Prize|
--------|--------
| 1st| $1000|
| 2nd| $500|
| 3th| $250|

> Rewards will be paid as one-time GitHub sponsorships.

### How to participate? 🏁

1. Create a new [GitHub issue](https://github.com/mindsdb/mindsdb/issues/new?assignees=&labels=integration%2Cenhancement&template=integrations_contest.yaml&title=%5BNew+Integration%5D%3A+)
2. Invite everyone to upvote by adding 👍(thumbs up) emoji to an issue
3. Share it on MindsDB community Slack, [`using_mindsdb` channel](https://join.slack.com/share/enQtMzU5ODc5OTMzMDYzMC1iYzc1MmFkMjY0MDQ0MmM0OTM2ZWY0MzU2NWY2NjBmM2I5MjZlN2JlZDIzN2M4MzQwNzY3MzJhMjJmNjcyYWM1)
4. [Fork MindsDB repository](https://github.com/mindsdb/mindsdb/fork)
5. Commit the basic structure for the new integration:
	 * [ ] Add a new integration directory under integrations.
	 * [ ] Add __about__.py file that has all variables as this example.
	 * [ ] Add empty tests directory.
	 * [ ] Add empty __init__.py file.
6. Make a Pull Request to MindsDB Repository from your fork and tag the idea issue.

### Rules 🚥

* MindsDB team will review the ideas and label them `accepted`. Once the idea is accepted it will be moved to the `Integrations ideas` [project](https://github.com/mindsdb/mindsdb/projects/9). 
* People will start voting on the proposed ideas and discuss further implementation. 
* The top 3 authors whose ideas will get the highest number of upvotes 👍 will be the winners. If multiple ideas have the same number of votes the first one posted wins. Please, feel free to submit as many ideas as you like, however, we will not sum up upvotes from multiple issues from a single author and will take just one that has the highest number of votes. 
* Make sure you complete all the steps above to be considered for a prize. After the deadline is finished, the ideas issues will be moved to the `Implementation ideas` step, and the number of votes till the deadline will be added as a comment. 

📣 We will announce the winners on our [Community Slack](https://mindsdb.com/joincommunity) during the first couple of days after the submission deadline. 

### What’s coming soon? ⌛

In the coming weeks we will add more challenges, like building the integrations ideas and writing tutorials, so stay tuned. And if you like MindsDB, we would appreciate you sharing your love with a GitHub Star ⭐

#### Implementations challenge 👩‍💻 👨‍💻 🚧
> Starting soon ...

#### Tutorials Challenge 📖 📝 🚧
> Starting soon ...
